Autoload issue
Gravatar
Joined: 2013-03-20
Posts: 9
Using composer to install the latest extension for Magento 2.3 has brought our site down with this error:
Module 'Ebizmarts_MailChimp' from '/srv/public_html/app/code/Ebizmarts/MailChimp' has been already defined in '/srv/public_html/vendor/mailchimp/mc-magento2'.
Gravatar
Joined: 2019-01-16
Posts: 21
Hi David, thanks for contacting us.

It seems like you have installed the extension twice, please remove them and then install the extension version 1.3.33 using composer compatible with Magento 2.3:

composer require mailchimp/mc-magento2:1.3.33


Note that if you have installed the extension manually you need to remove manually.

Kind regards.

NEWSLETTER

Subscribe to our newsletter to receive emails and useful news articles